%define anolis_release 1
%global pypi_name torchmetrics
%global pypi_version 0.11.4

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        PyTorch native Metrics

License:        Apache-2.0
URL:            https://github.com/Lightning-AI/torchmetrics
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(huggingface-hub)
BuildRequires:  python3dist(matplotlib) >= 3.3
BuildRequires:  python3dist(mir-eval) >= 0.6
BuildRequires:  python3dist(mypy)
BuildRequires:  python3dist(nltk) >= 3.6
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pandas) >= 1.4
BuildRequires:  python3dist(pycocotools) > 2.0
BuildRequires:  python3dist(regex) >= 2021.9.24
BuildRequires:  python3dist(sacrebleu) >= 2.3
BuildRequires:  python3dist(scikit-image) >= 0.19
BuildRequires:  python3dist(scipy) > 1.0
BuildRequires:  python3dist(sentencepiece) >= 0.1.98
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(torch)
BuildRequires:  python3dist(torchaudio) >= 0.10
BuildRequires:  python3dist(torchvision) >= 0.8
BuildRequires:  python3dist(tqdm) >= 4.41
BuildRequires:  python3dist(transformers) >= 4.10

%description
TorchMetrics is a collection of 100+ PyTorch metrics implementations and an easy-to-use API to 
create custom metrics. It offers:
A standardized interface to increase reproducibility
Reduces boilerplate
Automatic accumulation over batches
Metrics optimized for distributed-training
Automatic synchronization between multiple devices

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-devel
Requires:       python3dist(huggingface-hub)
Requires:       python3dist(matplotlib) >= 3.3
Requires:       python3dist(mir-eval) >= 0.6
Requires:       python3dist(mypy)
Requires:       python3dist(nltk) >= 3.6
Requires:       python3dist(numpy)
Requires:       python3dist(pandas) >= 1.4
Requires:       python3dist(pycocotools) > 2.0
Requires:       python3dist(regex) >= 2021.9.24
Requires:       python3dist(sacrebleu) >= 2.3
Requires:       python3dist(scikit-image) >= 0.19
Requires:       python3dist(scipy) > 1.0
Requires:       python3dist(sentencepiece) >= 0.1.98
Requires:       python3dist(torch)
Requires:       python3dist(torchaudio) >= 0.10
Requires:       python3dist(torchvision) >= 0.8
Requires:       python3dist(tqdm) >= 4.41
Requires:       python3dist(transformers) >= 4.10

%description -n python3-%{pypi_name}
TorchMetrics is a collection of 100+ PyTorch metrics implementations and an easy-to-use API to 
create custom metrics. It offers:
A standardized interface to increase reproducibility
Reduces boilerplate
Automatic accumulation over batches
Metrics optimized for distributed-training
Automatic synchronization between multiple devices

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Mar 12 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.11.4-1
- Downgrade to 0.11.4 to fix _compare_version problem.

* Mon Feb 19 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 1.3.1-1
- Initial package.